Bug 1821720 - Manual procedure "Recovering from expired control plane certificates" results in "Unable to connect to the server: x509: certificate signed by unknown authority"
Summary: Manual procedure "Recovering from expired control plane certificates" results...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.5.0
Assignee: Martin André
QA Contact: David Sanz
URL:
Whiteboard:
Depends On:
Blocks: 1831008
TreeView+ depends on / blocked
 
Reported: 2020-04-07 13:06 UTC by Robert Heinzmann
Modified: 2020-07-13 17:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The "Recovering from expired control plane certificates" procedure stands up a recovery API server on port 7443, conflicting with the port the haproxy process is listening on, on BM, OpenStack, oVirt and vSphere platforms. Consequence: The procedure results in "Unable to connect to the server: x509: certificate signed by unknown authority" Fix: Move the haproxy port to 9443 instead. Result: The recovery API server is able to bind port 7443 allowing to proceed with the "Recovering from expired control plane certificates" procedure.
Clone Of:
: 1831008 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:26:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift baremetal-runtimecfg pull 59 None closed Bug 1821720: Move haproxy listening port due to conflict 2020-08-27 05:58:47 UTC
Red Hat Bugzilla 1826180 None None None 2020-04-21 07:56:55 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:26:31 UTC

Internal Links: 1826180

Comment 7 David Sanz 2020-05-05 10:38:07 UTC
Verified on 4.5.0-0.nightly-2020-05-04-113741

Comment 8 errata-xmlrpc 2020-07-13 17:26:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.